Summary:        A cross-platform music player based on Amarok 1.4
Name:           clementine
Version:        1.1.1
Release:        %mkrel 4
Source0:        http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		clementine-1.1.0-fix-clementine-desktop.patch
License:        GPLv3
Group:          Sound/Players
URL:            http://www.clementine-player.org/
BuildRequires:        qt4-devel >= 4:4.5.0
BuildRequires:        kde4-macros
BuildRequires:        liblastfm-devel
BuildRequires:        libboost-devel
BuildRequires:        qt4-linguist
BuildRequires:        pkgconfig(taglib) >= 1.6
BuildRequires:        pkgconfig(gstreamer-0.10)
BuildRequires:        pkgconfig(glew)
BuildRequires:        pkgconfig(libchromaprint)
BuildRequires:        pkgconfig(libmtp)
BuildRequires:        pkgconfig(libusbmuxd)
BuildRequires:        pkgconfig(libplist)
BuildRequires:        pkgconfig(libimobiledevice-1.0)
BuildRequires:        pkgconfig(libgpod-1.0) >= 0.7.92
BuildRequires:        pkgconfig(libarchive)
BuildRequires:        pkgconfig(libechonest)
BuildRequires:        pkgconfig(QtWebKit)
BuildRequires:        pkgconfig(gstreamer-app-0.10)
BuildRequires:        pkgconfig(gstreamer-tag-0.10)
BuildRequires:        pkgconfig(gstreamer-cdda-0.10)
BuildRequires:        pkgconfig(qca2)
BuildRequires:        pkgconfig(libcdio)
BuildRequires:        pkgconfig(protobuf)
BuildRequires:        ffmpeg-devel

Requires:        libprojectm-data
Requires:        qca2-plugin-openssl
Requires:        qt4-database-plugin-sqlite
# Add a requires for gstreamer0.10-ofa to allow Music Brain functionnality (mga #1581)
Requires:        gstreamer0.10-ofa
# Add more suggests since gstreamer0.10 was not provided on mageia 1 ( mga #1987)
Suggests:        gstreamer0.10-plugins-good
Suggests:        gstreamer0.10-plugins-ugly
Suggests:        gstreamer0.10-flac
Suggests:        gstreamer0.10-musepack
Suggests:        gstreamer0.10-gsm
Suggests:        gstreamer0.10-faad
Suggests:        gstreamer0.10-neon
Suggests:        gstreamer0.10-plugins-bad
Suggests:        gstreamer0.10-ffmpeg
# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Suggests:        gvfs-iphone

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4. 
Features:
        * Search and play your local music library
        * Listen to internet radio from Last.fm, SomaFM and Magnatune
        * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
        * Visualisations from projectM
        * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
        * Edit tags on MP3 and OGG files, organise your music
        * Download missing album cover art from Last.fm
        * Remote control using a Wii Remote, MPRIS or the command-line
        * Copy music to your iPod, iPhone, MTP or mass-storage USB player
        * Queue manager

%files 
%doc COPYING Changelog
%_bindir/clementine
%_bindir/clementine-tagreader
%_kde_services/clementine-*.protocol
%_datadir/applications/clementine.desktop
%_iconsdir/hicolor/*/apps/application-x-clementine.*

#---------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4 -DBUNDLE_PROJECTM_PRESETS=OFF -DENABLE_PLASMARUNNER=ON -D -DENABLE_REMOTE=ON
%make

%install
%makeinstall_std -C build


%changelog

* Thu Apr 11 2013 barjac <barjac> 1.1.1-4.mga3
+ Revision: 409673
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 347881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 juancho <juancho> 1.1.1-2.mga3
+ Revision: 337918
- Added Requires for qca2-plugin-openssl.

* Sun Nov 18 2012 fwang <fwang> 1.1.1-1.mga3
+ Revision: 319420
- new version 1.1.1

* Thu Oct 25 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 310027
- build with system chromaprint

* Thu Oct 25 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 310026
- update file list
- there is no plasma-applet now
- new version 1.1.0

* Sun Aug 19 2012 sander85 <sander85> 1.0.1-4.mga3
+ Revision: 282322
- Rebuild for new glew

* Tue Aug 07 2012 wally <wally> 1.0.1-3.mga3
+ Revision: 279878
- add a patch from upstream (via Fedora) to fix build with new libimobiledevice

* Thu Aug 02 2012 neoclust <neoclust> 1.0.1-2.mga3
+ Revision: 277772
- Fix build with new liblastfm ( from fedya )

* Thu Mar 01 2012 juancho <juancho> 1.0.1-1.mga3
+ Revision: 216351
+ rebuild (emptylog)

* Thu Jan 26 2012 mikala <mikala> 1.0.1-1.mga2
+ Revision: 201800
- Update tarball to 1.0.1

* Thu Dec 29 2011 mikala <mikala> 1.0.0-1.mga2
+ Revision: 188725
- Update tarball to final 1.0.0

* Tue Dec 20 2011 mikala <mikala> 1.0.0-0.rc1.1.mga2
+ Revision: 184894
- Add patch0 to remove the unity blog in the .desktop file
- Update tarball to 1.0.0 rc1
- Add more BR ( qca2, libcdio, protobuff)
- Fix BR for QtWebkit
- Enable support for remove control
- Enable the build of the plasma runner plugin
- use spaces instead of tabs

* Mon Oct 03 2011 fwang <fwang> 0.7.1-2.mga2
+ Revision: 151170
- rebuild for new glew

* Sun Jul 17 2011 fwang <fwang> 0.7.1-1.mga2
+ Revision: 125203
- rebuild for new libmtp

* Fri Apr 01 2011 mikala <mikala> 0.7.1-0.mga2
+ Revision: 79539
- Update tarball to 0.7.1

* Mon Mar 28 2011 mikala <mikala> 0.7-0.mga1
+ Revision: 78283
- Update tarball to 0.7
- Clean spec

* Fri Mar 25 2011 ahmad <ahmad> 0.6-5.mga1
+ Revision: 77425
- bump rel and submit to core/testing to build against libimobiledevice-1.1.0

* Thu Feb 17 2011 mikala <mikala> 0.6-4.mga1
+ Revision: 52780
- Disable libindicate-qt-devel BR
- imported package clementine


* Wed Feb 02 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-4mdv2011.0
+ Revision: 635353
- *Added patch to make clementine use system language
- Added a patch to give a more polished playlist on the first run

* Tue Feb 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-3
+ Revision: 634892
- Added patch to use PlainSidebar instead the bluish one, on the playlist

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.6-2
+ Revision: 634417
- BR indicate

* Sun Dec 12 2010 John Balcaen <mikala@mandriva.org> 0.6-1mdv2011.0
+ Revision: 620601
- Add missing buildrequires
- Remove unused files
- Update to 0.6

* Thu Sep 30 2010 John Balcaen <mikala@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 582170
- Update to 0.5.3

* Mon Sep 20 2010 John Balcaen <mikala@mandriva.org> 0.5-1mdv2011.0
+ Revision: 579908
- Update to 0.5
- drop patch (merged upstream)
- add BR for libmtp-devel & libgpod-devel (mtp & ipod/iphone support)
- add suggests for gvfs-iphone (needed to detect iphone/ipod but also mtp device)
- update description
- Update URL
- Add patch3 to fix visualisation when using another locale then english

* Sun Aug 08 2010 John Balcaen <mikala@mandriva.org> 0.4.2-3mdv2011.0
+ Revision: 567630
- Add patch0 from upstream to fix a crash when expanding lastfm
- Add patch1 from upstream (fix debug symbol)
- Add -DBUNDLE_PROJECTM_PRESETS=O & add a requires on libprojectm-data for projectm-preset

* Mon Jul 26 2010 John Balcaen <mikala@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 560890
- Restore use of make -j 4 (%%make seems to failed)
- Remove -DQT_PHONON_INCLUDE_DIR=%%_includedir with %%cmake (fix upstream)
- Add qt4-database-plugin-sqlite  as require (needed for the library)

  + Funda Wang <fwang@mandriva.org>
    - New version 0.4.2

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


